- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cADByStddev Class Reference
[Statistical data collection]

`#include <cdetect.h>`

Inheritance diagram for cADByStddev:

List of all members.

## Detailed Description

An algorithm for result accuracy detection.

The actual algorithm: divide the standard deviation by the square of the number of values and check if this is small enough.

## Public Member Functions
Constructors, destructor, assignment.
| cADByStddev (const cADByStddev &r)
| cADByStddev (const char *name=NULL, double acc=0.01, int reps=3, PostADFunc f=NULL, void *p=NULL)
virtual | ~cADByStddev ()
cADByStddev & | operator= (const cADByStddev &res)
Redefined cObject member functions.
virtual cPolymorphic * | dup () const
Redefined cAccuracyDetection functions.
virtual void | collect (double val)
virtual bool | detected () const
virtual void | reset ()
virtual void | stop ()
virtual void | start ()
Setting up the detection object.
void | setParameters (double acc=0.1, int reps=3)

## Constructor & Destructor Documentation

cADByStddev::cADByStddev | ( | const cADByStddev & | r | ) |

| Copy constructor.

cADByStddev::cADByStddev | ( | const char * | name = `NULL`,
|  | double | acc = `0.01`,
|  | int | reps = `3`,
|  | PostADFunc | f = `NULL`,
|  | void * | p = `NULL`
| ) | `[explicit]`

| Constructor.

virtual cADByStddev::~cADByStddev | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void cADByStddev::collect | ( | double | val | ) | `[virtual]`

| Updates the detection algorithm with a value. Implements cAccuracyDetection.

virtual bool cADByStddev::detected | ( |  | ) | const`[inline, virtual]`

| Returns true if required accuracy has been reached. Implements cAccuracyDetection.

virtual cPolymorphic* cADByStddev::dup | ( |  | ) | const`[inline, virtual]`

| Dupping is not implemented for this class. This function gives an error (throws cRuntimeError) when called. Reimplemented from cObject.

cADByStddev& cADByStddev::operator= | ( | const cADByStddev & | res | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

virtual void cADByStddev::reset | ( |  | ) | `[virtual]`

| Resets detection algorithm. Implements cAccuracyDetection.

void cADByStddev::setParameters | ( | double | acc = `0.1`,
|  | int | reps = `3`
| ) | `[inline]`

| Sets the parameters of the detection algorithm.

virtual void cADByStddev::start | ( |  | ) | `[inline, virtual]`

| Start detection; further calls to collect() will update the detection algorithm. Implements cAccuracyDetection.

virtual void cADByStddev::stop | ( |  | ) | `[inline, virtual]`

| Stop detection; further calls to collect() will be ignored. Implements cAccuracyDetection.

The documentation for this class was generated from the following file:

- cdetect.h